/*
Author  : grigoratha
Licence : CC BY-NC-ND 4.0
Version : 1.0
*/	
/* FOOTER ****************************************************************************************/
.footer-divider {
	width: 100%;
	height: 4px;
	background: Silver;
}

.footer-container {
	padding                                 : 0px 1% 12px 1%;
	background                              : linear-gradient(to bottom, #434343, #262626, #000000);
	user-select                             : none;
}

.footer-column {
	margin                                  : 0px 8px 0px 8px;
	padding                                 : 12px 6px 12px 6px;
	white-space                             : nowrap;
	border-bottom                           : 1px dotted #777;
}

.footer-column-title {
    padding						            : 12px 24px 12px 24px;
    font-size					            : calc( var(--theme-font-size) + 0.15em);
    font-weight					            : bold;
    font-style					            : italic;
    text-align					            : center;
    color						            : #f2f2f2;
    opacity						            : 0.9;
    user-select					            : none;
}

.footer-column-content {
	height                                  : 258px;
	padding                                 : 0px 12px 4px 12px;
	background-position                     : center center;
	background-size                         : cover;
	border-radius                           : 4px;
}

/* Map */
.map-column {
	height									: 260px;
}

.map-column .leaflet-map {
	border-radius							: 4px;
}

#map-popup {
	text-align								: center;
}

#map-popup > div:nth-child(1) {
	font-weight								: bold;
	font-family								: Arial;
	color									: Crimson;
}

.leaflet-popup-close-button span {
	font-weight								: bold;
	padding-right							: 6px;
}

.leaflet-popup-close-button span:hover {
		color								: #999;
}

.leaflet-control-attribution {
	display									: none;
}

/* Brand Info */
.footer-column-content-wrapper {
	display									: grid; 
	height									: 100%;
	text-align								: center;
}

.footer-column-content-wrapper > div:nth-child(1) {
	max-height								: 120px;
}

#footer-brand-label {
	top										: 12px;
	position								: relative;
	font-size								: calc(var(--theme-logo-font-size) - 0.75em);
	font-family								: var(--theme-logo-font-family);
	color									: var(--theme-logo-font-color);
	text-shadow								: 1px 1px 1px var(--theme-primary-color-reverse);
	z-index									: 9;
}

#footer-brand-image {
	top										: -24px;
	position								: relative;
	max-width								: 55%;
	height									: auto;
	filter									: invert(1);
	opacity									: 0.5;
}

.footer-column-content-wrapper table {
	width									: 100%;
	color									: #464646;
	font-size								: 0.9em;
}

.footer-column-content-wrapper > div:nth-child(2) {
	align-self								: end; 
	display									: grid; 
	grid-template-columns					: 1fr 1fr;
}

.footer-column-content-wrapper > div > div:nth-child(2) {
	justify-self							: end;
}

.footer-info-icon {
	padding									: 2px 6px 2px 6px;
	text-align								: center;
	background								: LightGrey;
	border-top-left-radius					: 4px;
	border-bottom-left-radius				: 4px;
	color									: DimGrey;
}

.footer-info-label {
	width									: 75%;
	display									: inline-block;
	padding-left							: 12px;
	border-top-right-radius					: 1px;
	border-bottom-right-radius				: 1px;
}

.footer-info-border {
	text-align								: left;
	background                              : linear-gradient(to right, #f2f2f2, transparent);
	border-radius                           : 4px;
}

.footer-social-icon {
	width									: 32px;
	height									: 32px;
	padding-right							: 12px;
	cursor									: pointer;
	opacity									: 0.7;
}

/* Contact From */
.form-column {
	height									: 248px;
	padding									: 6px;
	background-position						: center center;
	background-size							: cover;
	border-radius							: 4px;
}

.form-icon {
	padding									: 4px 4px 4px 4px;
	font-size								: 0.8em;
	color									: DimGrey;
	background								: LightGrey;
	border-top-left-radius					: 4px;
	border-bottom-left-radius				: 4px;
}

.form-input-td {
	width									: 100%;
	padding									: 3px 1px 4px 1px;
	background								: linear-gradient(to right, #f2f2f2, transparent);
	border-radius							: 4px;
}

.form-required-td {
	font-size								: 0.9em;
	color									: Crimson;
}

.form-input-td input {
	padding-left							: 12px;
	background								: transparent;
	border									: none;
	color									: #464646;
}

.g-recaptcha {
	margin-top								: 1%;
	margin-left								: 12px;
	transform								: scale(0.55);
	transform-origin						: 0 0;
	overflow								: hidden;
	width									: 156px;
	max-height								: 124px;
	box-shadow								: 2px 2px 12px var(--theme-primary-color-contrast-6);
}

.form-button-send {
	justify-self							: end;
	margin-top								: 24px;
	margin-right							: 24px;
}

.footer-button-mobile {
	display									: none;
}

#post-message {
	width									: 85%;
	height									: 60px;
	margin									: 4px 14px 4px 14px;
	padding									: 12px;
	background								: linear-gradient(45deg, #f2f2f2 25%, transparent);
	font-family								: 'Ubuntu', sans-serif;
	font-size								: 0.8em;
	border									: none;
	border-radius							: 4px;
	resize									: none;
}

.copyright-container {
    padding				                    : 12px 0px 0px 0px;
    font-family			                    : Tahoma, sans-serif;
    font-size			                    : calc( var(--theme-font-size) + 0.25em);
    text-align			                    : center;
    color				                    : #262626;
}

.copyright-container a {
   	text-decoration							: none;
	color				                    : #262626;
}


/*****************************************************************************************************************************************/
@media screen and (max-width: 1390px) {

	.footer-button {
		display									: none;
	}

	.footer-button-mobile {
		display									: inline-flex;
	}
}

/*****************************************************************************************************************************************/
@media screen and (max-width: 1480px) {
	.footer-column-content-wrapper > div:nth-child(2) {
		grid-template-columns				: 1fr;
	}

	.footer-column-content-wrapper > div > div:nth-child(1) {
		order								: 2;
	}
	.footer-column-content-wrapper > div > div:nth-child(2) {
		justify-self						: center;
	}
}

/*****************************************************************************************************************************************/
@media screen and (min-width:945px) and (max-width: 1200px) {
	#footer > div:nth-child(1) {
		grid-template-columns				: 50% 50%;
	}

	#footer-column-1 {
		display								: none;
	}

	.footer-button {
		display								: inline-flex;
	}

	.footer-button-mobile {
		display								: none;
	}
}

/*****************************************************************************************************************************************/
@media screen and (min-width:815px) and (max-width: 944px) {
	#footer > div:nth-child(1) {
		grid-template-columns				: 50% 50%;
	}

	#footer-column-1 {
		display								: none;
	}

	.footer-button {
		display								: none;
	}

	.footer-button-mobile {
		display								: inline-flex;
	}
}

/*****************************************************************************************************************************************/
@media screen and (max-width: 814px) {
	#footer > div:nth-child(1) {
		grid-template-columns				: 100%;
	}

	#footer-column-1 {
		display								: none;
	}

	.footer-button {
		display								: inline-flex;
	}

	.footer-button-mobile {
		display								: none;
	}
}

/*****************************************************************************************************************************************/
@media screen and (max-width: 506px) {
	.form-button-send {
		margin-right						: 4px;
	}

	.footer-button {
		display								: none;
	}

	.footer-button-mobile {
		display								: inline-flex;
	}
}

/*****************************************************************************************************************************************/
@media screen and (max-width: 374px) {
	.form-button-send {
		margin-top							: 14px;
		margin-right						: 4px;
	}
}